Bug 1469214 - [RFE][manila] User messages support
[RFE][manila] User messages support
Status: MODIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity medium
: Upstream M2
: 14.0 (Rocky)
Assigned To: Tom Barron
Dustin Schoenbrun
Kim Nylander
: FutureFeature, TestOnly, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 12:23 EDT by Tom Barron
Modified: 2018-04-16 15:16 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-manila-6.0.0-0.20180122210259.4adbf82.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jomurphy: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 313549 None master: MERGED manila: User Messages (Ia0cc524e0bfb2ca5e495e575e17e9911c746690b) 2018-02-07 09:23 EST
OpenStack gerrit 443101 None master: MERGED manila: Extend usage of user messages (Ic7d25a144905a39c56ababe8bd666b01bc0d0aef) 2018-02-07 09:23 EST
OpenStack gerrit 443102 None master: MERGED manila: Provide filter name in user messages (I9ce096eebda3249687268e361b7141dea4032b57) 2018-02-07 09:23 EST
OpenStack gerrit 474540 None master: MERGED manila: Add user messages periodic cleanup task (If0ba2383d4d7eaca4dee8a0d39f39c5481bfbfdd) 2018-02-07 09:23 EST

  None (edit)
Description Tom Barron 2017-07-10 12:23:31 EDT
If manila operations fail, e.g. create share or create share group, user gets no detailed information whatsoever. Only the operation status is updated, e.g. error or failed, without any update to user.

We should address this by adding a /messages resource to the API in order for end-users to query for more information about errors.

Note You need to log in before you can comment on or make changes to this bug.